Skip to main content
`Ctrl`+`K`

# smallpond.platform.Platform

class smallpond.platform.Platform

  Base class for all platforms.

  __init__()

  Methods

  `__init__`() |
  `default_data_root`() | Get the default data root for the platform.
  `default_job_id`() | Return the default job id.
  `default_job_time`() | Return the default job time.
  `default_memory_allocator`() | Get the default memory allocator for the platform.
  `default_share_log_analytics`() | Whether to share log analytics by default.
  `grafana_homepath`() | Return the homepath of grafana.
  `is_available`() | Whether the platform is available in the current environment.
  `shared_log_root`() | Return the shared log root.
  `start_job`(num_nodes, entrypoint, args[, ...]) | Start a job on the platform.
  `stop_job`(pid) | Stop the job.